_getValidatorsByDelegator

Queries the validators of a delegator.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Path

  • delegator_address: STRING - The delegator address to query for.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/distribution/v1beta1/delegators/cosmos1ss75p6a4h57wvnp9sp7mwuf58et82tc9w95ek7/validators" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - Validator addresses.
{
  "validators": [
    "cosmosvaloper1c4k24jzduc365kywrsvf5ujz4ya6mwympnc4en"
  ]
}

Try Yourself

Path Params
string
required
Defaults to cosmos1ss75p6a4h57wvnp9sp7mwuf58et82tc9w95ek7

delegator_address defines the delegator address to query for.

Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!